1. Community
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Remove users from Space
      DELETE
    • Community Details
      GET
    • Spaces List
      GET
    • Add Users to Space
      POST
  • Webhooks
    • Members
      • User joined
      • User join request
      • User join request approved
      • User join request declined
      • User left
      • User unbanned
      • User role changed
      • User profile updated
      • User invited
      • User invite declined
      • User verified
      • User questions answered
      • User nominated
      • Feedback submitted
    • Spaces
      • Space created
      • Space updated
      • Space deleted
      • User joined space
      • User left space
    • Events
      • Event created
      • Event registered
      • Event updated
      • Event cancelled
      • Event registration updated
      • Event registration cancelled
      • Event starting soon
      • Event attended
      • Event ended
    • Feed
      • Post created
      • Post updated
      • Post deleted
      • Post liked
      • Post unliked
      • Comment added
      • Post reported
      • Post approval requested
      • Post approved
      • Post rejected
      • Post shared
      • Post pinned
      • Post unpinned
      • Post scheduled
      • Comment deleted
      • Comment liked
      • Comment unliked
      • Comment reported
      • Poll voted
      • Survey responded
      • Poll ended
    • Live video
      • Live started
      • Live ended
      • Live joined
      • Live left
      • Live recording ready
    • Courses
      • Course published
      • Course updated
      • Course unpublished
      • Course enrolled
      • Lesson completed
      • Quiz submitted
      • Course completed
    • Newsletter
      • Newsletter subscriber added
      • Newsletter subscriber removed
      • Newsletter sent
      • Newsletter email opened
      • Newsletter email clicked
      • Newsletter email bounced
      • Newsletter email complained
    • Payments
      • Monetization subscription created
      • Monetization subscription renewed
      • Monetization subscription changed
      • Monetization subscription cancel scheduled
      • Monetization subscription resumed
      • Monetization subscription cancelled
      • Monetization payment failed
      • Monetization purchase completed
      • Monetization checkout abandoned
      • Monetization refund requested
      • Monetization refund issued
      • Offer reviewed
      • Offer sold out
    • Opportunities
      • Opportunity created
      • Opportunity updated
      • Opportunity deleted
      • Opportunity applied
    • Media
      • Media added
      • Media updated
      • Media deleted
      • Media shared
      • Media downloaded
    • Community
      • Community updated
      • Community tokens low
      • Community tokens limit reached
      • Website page published
      • Community app published
      • Integration sync failed
    • Chat
      • Chat channel created
      • Chat message posted
  • References
    • Role Types
    • Media Types
    • Response Codes
    • Model Status
    • Post Types
  • Schemas
    • WebhookActor
    • WebhookChannel
    • WebhookComment
    • WebhookCourse
    • WebhookEvent
    • WebhookLiveSession
    • WebhookMedia
    • WebhookMember
    • WebhookNewsletter
    • WebhookOffer
    • WebhookOpportunity
    • WebhookPost
    • WebhookPurchase
    • WebhookRegistration
    • WebhookSpace
    • WebhookSubscriber
    • WebhookSubscription
    • WebhookEnvelope
  1. Community

Community Details

GET
https://backend.networked.co/api/v1/community/one/brief

🏘️ Community Brief API#

Fetches essential summary data about a specific community, including its admin, onboarding flags, and branding details.

Method:#

GET

Endpoint:#

/api/v1/community/one/brief

Headers#

NameTypeRequiredDescription
x-api-keystring✅API key to authorize the request

Body Parameters#

None

Sample Response#

{
  "data": {
    "community": {
      "communityId": "68502b58dc3b2c00124cd5af",
      "readableId": "monetized-communitylihqu",
      "communityName": "Bulk Invite Auto Onboard",
      "communityImage": "",
      "communityFeatureImage": "",
      "communityVisibility": 0,
      "timeStamp": 1750084440720
    },
    "communityAdmin": {
      "id": "6787893423126f0012a92ed6",
      "name": "Spencer Johnson Spencer",
      "image": "https://.../image (25).png",
      "mattermost": {
        "loginId": "gupta.sahu",
        "userId": "iwpi53tk7brm8nen98k4zw9tjh"
      }
    },
    "communityProfileId": "68502b59dc3b2c00124cd5b8",
    "subCommunityCount": 3,
    "directoryPeople": 0,
    "about": "Bulk Invite Auto Onboard",
    "address": "",
    "website": "",
    "size": 0,
    "yearFounded": 0,
    "timeStmp": 1750084441087,
    "isAdmin": "admin",
    "isModerator": false,
    "isMember": true,
    "primaryColour": "#0566FA",
    "secondryColour": "#0785ff1A",
    "platformAdminEmailFlag": true,
    "welcomeMessageFlag": true,
    "isStripeEnabled": true,
    "OBSGettingStarted": false,
    "OBSCommunityProfile": true,
    "OBSCommunityFeatures": true,
    "OBSCommunityColor": true,
    "OBSUserRoles": true,
    "OBSUserRolesPrivileges": false,
    "memberLandingPage": 3,
    "nonMemberLandingPage": 3,
    "mediacenterView": 0,
    "isWelcomeFlag": false,
    "isGuideLineFlag": false
  },
  "error": false,
  "message": "Success"
}

Response Interface#

interface CommunityBriefResponse {
  data: {
    community: {
      communityId: string;
      readableId: string;
      communityName: string;
      communityImage: string;
      communityFeatureImage: string;
      communityVisibility: number;
      timeStamp: number;
    };
    communityAdmin: {
      id: string;
      name: string;
      image: string;
      mattermost: {
        loginId: string;
        userId: string;
      };
    };
    communityProfileId: string;
    subCommunityCount: number;
    directoryPeople: number;
    about: string;
    address: string;
    website: string;
    size: number;
    yearFounded: number;
    timeStmp: number;
    isAdmin: string;
    isModerator: boolean;
    isMember: boolean;
    primaryColour: string;
    secondryColour: string;
    platformAdminEmailFlag: boolean;
    welcomeMessageFlag: boolean;
    isStripeEnabled: boolean;
    [key: string]: any; // OBS flags and other dynamic keys
  };
  error: boolean;
  message: string;
}

Response Field Descriptions#

FieldTypeDescription
communityobjectContains metadata about the community
communityAdminobjectDetails of the community's admin
communityProfileIdstringID linking to the community's profile
isAdminstringRole of the current user (e.g., "admin", "member")
isMemberbooleanIndicates if the user is a member of the community
primaryColourstringPrimary branding color
isStripeEnabledbooleanIndicates whether Stripe integration is enabled
OBS*booleanOnboarding steps (OBS = Onboarding Step), track community setup progress
memberLandingPagenumberLanding page configuration for members
nonMemberLandingPagenumberLanding page configuration for non-members

Reference#

Response codes

Notes#

This API is used to preload core configuration, branding, admin, and onboarding setup data for a community.
Ideal for preparing onboarding dashboards and rendering administrative controls.

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/community/one/brief' \
--header 'x-api-key: <your-api-key>'
Response Response Example
{
    "data": {
        "community": {
            "communityId": "68502b58dc3b2c00124cd5af",
            "readableId": "monetized-communitylihqu",
            "communityName": "Bulk Invite Auto Onboard",
            "communityImage": "",
            "communityFeatureImage": "",
            "communityVisibility": 0,
            "timeStamp": 1750084440720
        },
        "communityAdmin": {
            "id": "6787893423126f0012a92ed6",
            "name": "Spencer Johnson Spencer",
            "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image%20%2825%29.png",
            "mattermost": {
                "loginId": "gupta.sahu",
                "userId": "iwpi53tk7brm8nen98k4zw9tjh"
            }
        },
        "communityProfileId": "68502b59dc3b2c00124cd5b8",
        "subCommunityCount": 3,
        "directoryPeople": 0,
        "about": "Bulk Invite Auto Onboard",
        "address": "",
        "website": "",
        "size": 0,
        "yearFounded": 0,
        "timeStmp": 1750084441087,
        "isAdmin": "admin",
        "isModerator": false,
        "isMember": true,
        "primaryColour": "#0566FA",
        "secondryColour": "#0785ff1A",
        "platformAdminEmailFlag": true,
        "welcomeMessageFlag": true,
        "isStripeEnabled": true,
        "OBSGettingStarted": false,
        "OBSCommunityProfile": true,
        "OBSProcessToJoin": false,
        "OBSViewContent": false,
        "OBSPostContent": false,
        "OBSNotificationPreference": false,
        "OBSSpaceStructure": false,
        "OBSSpaceSettings": false,
        "OBSUnderStandMonetization": false,
        "OBSConnectStripe": false,
        "OBSLandingPage": false,
        "OBSCustomDomain": false,
        "OBSBrandColor": false,
        "OBSAutomateMassageGuidline": false,
        "OBSProfileComplition": false,
        "OBSMakePlan": false,
        "OBSCustomizeBranding": false,
        "OBSAutomateOnboarding": false,
        "OBSBestPractices": false,
        "OBSJoinNetworkedCommunity": false,
        "OBSCommunityLogo": false,
        "OBSCommunityBanner": false,
        "OBSCommunityAbout": true,
        "OBSCommunityWelcomeMsg": false,
        "OBSCommunityGuideline": false,
        "OBSCommunityFeatures": true,
        "OBSCommunityColor": true,
        "OBSUserRoles": true,
        "OBSUserRolesPrivileges": false,
        "memberLandingPage": 3,
        "nonMemberLandingPage": 3,
        "mediacenterView": 0,
        "isWelcomeFlag": false,
        "isGuideLineFlag": false
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-15 12:07:20
Previous
Remove users from Space
Next
Spaces List
Built with